const Config = require('./config.js');
const Event = require('./event.js');

class LiveQA extends Config {

  static track(eventName, userParams = {}, properties = {}) {
    if (!this.enabled) return true;

    const params = Object.assign(userParams, { type: 'track' });

    return Event.create(this, eventName, params, properties);
  }

}

module.exports = LiveQA;
