const OFF = 0;
const WARNING = 1;
const ERROR = 2;

module.exports = {
  parser: 'babel-eslint',
  parserOptions: {
    ecmaVersion: 2017,
    sourceType: 'module'
  },
  extends: 'airbnb-base',
  plugins: [
    'import'
  ],
  globals: {
    "window": true,
    "Headers": true
  },
  rules: {
    'no-console': OFF,
    'quotes': [ERROR, 'single'],
    'eol-last': OFF,
    'comma-dangle': OFF,
    'no-mixed-requires': OFF,
    'no-underscore-dangle': OFF
  }
};



