'use strict';

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Util = function () {
  function Util() {
    (0, _classCallCheck3.default)(this, Util);
  }

  (0, _createClass3.default)(Util, null, [{
    key: 'deepObfuscateValue',
    value: function deepObfuscateValue(payload, fields) {
      var _this = this;

      if (this.isObject(payload)) {
        var copy = {};

        (0, _keys2.default)(payload).forEach(function (key) {
          copy[key] = fields.includes(key) ? '[HIDDEN]' : _this.deepObfuscateValue(payload[key], fields);
        });

        return copy;
      } else if (this.isArray(payload)) {
        return payload.map(function (e) {
          return _this.deepObfuscateValue(e, fields);
        });
      }

      return payload;
    }
  }, {
    key: 'isObject',
    value: function isObject(obj) {
      var type = typeof obj === 'undefined' ? 'undefined' : (0, _typeof3.default)(obj);

      return (type === 'function' || type === 'object') && !!obj;
    }
  }, {
    key: 'isArray',
    value: function isArray(obj) {
      return toString.call(obj) === '[object Array]';
    }
  }]);
  return Util;
}();

module.exports = Util;